Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 207199 - Update to OSGi 4.3, Felix 4.0.2 and Equinox 3.7.1
Update to OSGi 4.3, Felix 4.0.2 and Equinox 3.7.1
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Netigso
7.2
All All
: P1 (vote)
: 7.2
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on: 210244
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-12 08:55 UTC by Jaroslav Tulach
Modified: 2012-03-28 09:02 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments
Upgrade of libraries, we need OSRs (17.75 KB, patch)
2012-01-12 09:26 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2012-01-12 08:55:28 UTC
OSGi spec 4.3 is around for almost a year. Both containers we bundle support it, time to upgrade.
Comment 1 Jaroslav Tulach 2012-01-12 09:26:10 UTC
Created attachment 114818 [details]
Upgrade of libraries, we need OSRs

The org.netbeans.core.netigso.NetigsoReloadTest is failing due to some change in behavior of Felix's Bundle.update method.

The org.netbeans.modules.netbinox.Caching*Test tests are crashing VM for some, yet unknown, reason.
Comment 2 Jesse Glick 2012-01-12 16:16:47 UTC
osgi.cmpn-4.2.jar needs to be upgraded as well, right?
Comment 3 Jaroslav Tulach 2012-01-12 18:37:52 UTC
I have not found osgi-cmpn-4.3.jar neither sources for it.
Comment 4 Jesse Glick 2012-01-12 19:02:05 UTC
I found [1] which includes 4.3 version info in the headers, though I cannot find this JAR on osgi.org either. [2] claims it should be available this month - but when?

[1] https://launchpad.net/ubuntu/+archive/primary/+files/osgi-compendium_4.3.0.orig.tar.gz
[2] http://stackoverflow.com/questions/7966904/where-is-the-osgi-compendium-for-4-3
Comment 5 Jaroslav Tulach 2012-01-24 06:57:24 UTC
Maybe we can upgrade just the spec to 4.3 and continue to use 4.2 compendium meanwhile.
Comment 7 Jesse Glick 2012-02-14 17:36:40 UTC
BTW please avoid '-' in branch names as it confuses revsets and forces use of quoting syntax.
Comment 8 Jaroslav Tulach 2012-02-20 08:36:02 UTC
(In reply to comment #7)
> BTW please avoid '-' in branch names as it confuses revsets and forces use of
> quoting syntax.

Since when!? I remember Jesse to recommend usage of '-' in branch names in Hg as a huge improvement over CVS few months ago.

I have no idea what a revset is and why it should be of any importance.
Comment 9 Jaroslav Tulach 2012-02-20 08:37:08 UTC
All failures fixed in ergonomics#341de186e1dd
Comment 10 Jesse Glick 2012-02-20 21:42:38 UTC
(In reply to comment #8)
> I remember Jesse to recommend usage of '-' in branch names in Hg

Prior to the introduction of revsets.

> I have no idea what a revset is and why it should be of any importance.

'hg help revsets'; a major feature of recent Hg releases.
Comment 11 Quality Engineering 2012-02-24 09:31:10 UTC
Integrated into 'main-golden', will be available in build *201202240400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e9b8b5724e8e
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #207199: Filling in correct OSR values
Comment 12 Quality Engineering 2012-02-26 11:16:20 UTC
Integrated into 'main-golden', will be available in build *201202260400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/6fbccff3da91
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #207199: Documenting upgrade to OSGi 4.3


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo